%  Ricerca di minimi locali e globali
clc
t=0:1000;
plot(t,DistMercEarth(t))
disp('Local minima of the Mercury-Earth separation function.')
disp(' Initial Interval     tmin        f(tmin)    f evals')
disp('----------------------------------------------------')
scelta=0;
hold on
while (scelta==0)
   vett=input('Inserisci gli estremi intervallo (per terminare [0,0])');
   if (vett==[0,0])
        scelta=1;
   else 
       [tmin,minfeval,EXITFLAG,output] = fminsearch(@DistMercEarth,vett(1),optimset('TolX',1e-8));%,[L:R]);
        nfevals = output.funcCount;
        plot(tmin,minfeval,'*r');
        disp(sprintf('     [%3.0f,%3.0f]     %10.5f   %10.5f, %6.0f',vett(1),vett(2),tmin,minfeval,nfevals))
   end
end
% Il ciclo while permette all'utente di determinare un minimo
% locale per ogni intervallo assegnato, 
% da questo, come determinare ora il minimo globale?